PFont gFont1 = createFont("Helvetica", 12, true);
PFont gFont2 = createFont("Helvetica", 20, true);
String[] years= {
  "2007", "2008", "2009", "2010", "2011"
};
String[] kind= {
  "Becoming Jane", "Pride and Prejudice", "Sense and Sensibility", "Emma", "Mansfield Park", "Jane Austen"
};
int[] post= {
  50, 210, 405, 615, 770, 930, 1070
};


void content() {
  //title
  fill(0, 0, 100);
  textAlign(LEFT, CENTER);
  textFont(gFont2);
  text("JANE AUSTEN WITH HER NOVELS", broader+10, 40);
  fill(0, 0, 80);
  textSize(14);
  text("CHECKOUT NUMBERS OF JANE AUSTEN'S NOVELS IN SEATTLE PUBLIC LIBRARY 2007-2011", broader+10, 70);
  text("WEB SEARCH NUMBER OF \"JANE AUSTEN\" ON GOOGLE 2007-2011", broader+10, 85);
  for (int i=0;i<5;i++) {
    textFont(gFont1);
    text(years[i], broader+10+204*i, 660);
  }

  //lagency
  textSize(18);
  color[] a= {
    a1, a2, a3, a4, a5, a6
  };
  noStroke();
  String s="Seattle Public Library";
  fill(a1);
  ellipse(post[0], 700, 25, 25);
  text(kind[0], post[0]+20, 700);
  fill(a2);
  ellipse(post[1], 700, 25, 25);
  text(kind[1], post[1]+20, 700);
  fill(a3);
  ellipse(post[2], 700, 25, 25);
  text(kind[2], post[2]+20, 700);
  fill(a4);
  ellipse(post[3], 700, 25, 25);
  text(kind[3], post[3]+20, 700);
  fill(a5);
  ellipse(post[4], 700, 25, 25);
  text(kind[4], post[4]+20, 700);
  fill(a6);
  ellipse(post[5], 700, 25, 25);
  text(kind[5], post[5]+20, 700);

  textSize(12);
  fill(0, 0, 50);
  for (int i=0;i<5;i++) {
    text(s, post[i]+20, 720);
  }
  for (int i=1;i<5;i++) {
    text("Book", post[i]+20, 735);
  }
  text("DVD", post[0]+20, 735);
  text("Google Trends", post[5]+20, 720);

  //grid
  stroke(290, 0, 30, 200);
  for (int i=0;i<60;i++) {

    line(broader+10+17*i, 140, broader+10+17*i, 640);
  }

  for (int i =0 ;i<6; i++) {

    line(broader+10, 140+100*i, 1042, 140+100*i);
  }



  //percentage
  textAlign(RIGHT, CENTER);
  String[] num= {
    "100", "80", "60", "40", "20", "0"
  };
  for (int i=0;i<6;i++) {
    text(num[i], 1070, 140+100*i);
  }
  textAlign(RIGHT, CENTER);
  text("100 represents the peak volumn", 1070, 120);

  //backrect
  for (int i=0;i<6 ;i++) {
    noStroke();  
    if (mouseX>post[i]-10&&mouseX<post[i+1]-10&&mouseY>650&&mouseY<750) {
      fill(0, 0, 100, 30);
      rect(post[i]+15, 680, post[i+1]-post[i]-30, 70);
    }
  }
}

